Improve error message passing a URL with scheme to rehost.sh
Change-Id: I77cdd9f075f118ec2f917712832e55307f8055d1
Signed-off-by: Brian Silverman <bsilver16384@gmail.com>
diff --git a/tools/rehost.sh b/tools/rehost.sh
index 86ca488..3031aba 100755
--- a/tools/rehost.sh
+++ b/tools/rehost.sh
@@ -7,6 +7,11 @@
readonly LOCALPATH="$(basename "${1}")"
+if echo "${1}" | grep --quiet http; then
+ echo "Argument must not include the scheme (remove the https://)" >&2
+ exit 1
+fi
+
set -e
curl -L "https://${1}" -o "${LOCALPATH}"